dofile_once("data/scripts/lib/utilities.lua")

local distance_full = 2000

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local is_player = EntityHasTag(entity_id,"player_unit")
if not is_player then
   local error_text = "not_player"
   print(error_text)
end

-- add_exp
local enemys = EntityGetInRadiusWithTag(x, y, distance_full, "enemy")

if ( #enemys == 0 ) then return 
else
        for _,id in ipairs(enemys) do	

	local is_exp = EntityHasTag(id, "exp")

		if not is_exp then

                        EntityAddComponent(id,"LuaComponent",{ execute_every_n_frame="-1", script_death="mods/level_up_wand/files/scripts/exp_get_death.lua", remove_after_executed="0"})
			EntityAddTag(id, "exp")

        	end
        end
end


